Debian Bug report logs - #408076
swi-prolog: FTBFS on GNU/kFreeBSD, mips, mipsel (due to outdated config.sub/config.guess)

version graph

Package: swi-prolog; Maintainer for swi-prolog is Євгеній Мещеряков <eugen@debian.org>; Source for swi-prolog is src:swi-prolog.

Reported by: Petr Salinger <Petr.Salinger@seznam.cz>

Date: Tue, 23 Jan 2007 10:48:29 UTC

Severity: serious

Tags: confirmed, patch

Merged with 414181

Found in version swi-prolog/5.6.14-1

Fixed in version swi-prolog/5.6.47-1

Done: Chris Lamb <chris@chris-lamb.co.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Gerardo Curiel <gcuriel@debianvenezuela.org>:
Bug#408076; Package swi-prolog. Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
New Bug report received and forwarded. Copy sent to Gerardo Curiel <gcuriel@debianvenezuela.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: submit@bugs.debian.org
Subject: swi-prolog: FTBFS on GNU/kFreeBSD, mips, mipsel (due to outdated config.sub/config.guess)
Date: Tue, 23 Jan 2007 11:47:59 +0100 (CET)
[Message part 1 (text/plain, inline)]
Package: swi-prolog
Severity: serious
Version: 5.6.14-1
Tags: patch


Hi,

the current version fails to build on GNU/kFreeBSD, mips, mipsel.

It needs updated config.guess and config.sub.
Your package already build-depends on autotools-dev,
please use attached tweak for debian/rules
to auto-update them.

It would also be nice if you can ask upstream
to update their config.sub/config.guess in next release.

Thanks in advance

                        Petr
[swi-prolog.diff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Gerardo Curiel <gcuriel@debianvenezuela.org>:
Bug#408076; Package swi-prolog. Full text and rfc822 format available.

Acknowledgement sent to Jens Seidel <jensseidel@users.sf.net>:
Extra info received and forwarded to list. Copy sent to Gerardo Curiel <gcuriel@debianvenezuela.org>. Full text and rfc822 format available.

Message #10 received at 408076@bugs.debian.org (full text, mbox):

From: Jens Seidel <jensseidel@users.sf.net>
To: 408076@bugs.debian.org, control@bugs.debian.org, Petr Salinger <Petr.Salinger@seznam.cz>
Subject: Re: swi-prolog: FTBFS on GNU/kFreeBSD, mips, mipsel (due to outdated config.sub/config.guess)
Date: Sat, 27 Jan 2007 10:53:03 +0100
Tags: 408076 +confirmed
thanks

On Tue, Jan 23, 2007 at 11:47:59AM +0100, Petr Salinger wrote:
> Package: swi-prolog
> 
> the current version fails to build on GNU/kFreeBSD, mips, mipsel.
> 
> please use attached tweak for debian/rules
> to auto-update them.

I can confirm this bug an mips. Without patch it fails with:

make[3]: Entering directory `/home/jens/test/swi-prolog-5.6.14/packages/table'
../plld.sh -O2 -fno-strict-aliasing -Wall -fpic -I. -DHAVE_CONFIG_H   -c -o table.o table.c
../plld.sh -O2 -fno-strict-aliasing -Wall -fpic -I. -DHAVE_CONFIG_H   -c -o order.o order.c
../plld.sh -O2 -fno-strict-aliasing -Wall -fpic -I. -DHAVE_CONFIG_H   -c -o error.o error.c
../plld.sh -shared -o table.so table.o order.o error.o
make[3]: Leaving directory `/home/jens/test/swi-prolog-5.6.14/packages/table'
make[3]: Entering directory `/home/jens/test/swi-prolog-5.6.14/packages/xpce'
make[4]: Entering directory `/home/jens/test/swi-prolog-5.6.14/packages/xpce/src'
make[4]: *** No rule to create target »all«.  Exit.
make[4]: Leaving directory `/home/jens/test/swi-prolog-5.6.14/packages/xpce/src'
make[3]: *** [all] Fehler 2
make[3]: Leaving directory `/home/jens/test/swi-prolog-5.6.14/packages/xpce'
make[2]: *** [objects] Fehler 1
make[2]: Leaving directory `/home/jens/test/swi-prolog-5.6.14/packages'
make[1]: *** [packages] Fehler 2
make[1]: Leaving directory `/home/jens/test/swi-prolog-5.6.14'
make: *** [build-stamp] Fehler 2

After applying the patch it works.

Jens



Tags added: confirmed Request was from Jens Seidel <jensseidel@users.sf.net> to control@bugs.debian.org. Full text and rfc822 format available.

Forcibly Merged 408076 414181. Request was from Cyril Brulebois <cyril.brulebois@enst-bretagne.fr> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Gerardo Curiel <gcuriel@debianvenezuela.org>:
Bug#408076; Package swi-prolog. Full text and rfc822 format available.

Acknowledgement sent to Jens Seidel <jensseidel@users.sf.net>:
Extra info received and forwarded to list. Copy sent to Gerardo Curiel <gcuriel@debianvenezuela.org>. Full text and rfc822 format available.

Message #19 received at 408076@bugs.debian.org (full text, mbox):

From: Jens Seidel <jensseidel@users.sf.net>
To: 408076@bugs.debian.org
Cc: Petr Salinger <Petr.Salinger@seznam.cz>
Subject: Re: swi-prolog: FTBFS on GNU/kFreeBSD, mips, mipsel (due to outdated config.sub/config.guess)
Date: Sat, 10 Mar 2007 17:28:35 +0100
On Sat, Jan 27, 2007 at 10:53:03AM +0100, Jens Seidel wrote:
> On Tue, Jan 23, 2007 at 11:47:59AM +0100, Petr Salinger wrote:
> > Package: swi-prolog
> > 
> > the current version fails to build on GNU/kFreeBSD, mips, mipsel.
> > 
> > please use attached tweak for debian/rules
> > to auto-update them.
> 
> I can confirm this bug an mips.

No upload yet?
OK, I tested it now also on a mipsel box and the patch is indeed
required and works well!

Jens



Information forwarded to debian-bugs-dist@lists.debian.org, Gerardo Curiel <gcuriel@debianvenezuela.org>:
Bug#408076; Package swi-prolog. Full text and rfc822 format available.

Acknowledgement sent to Gerardo Curiel <gcuriel@gmail.com>:
Extra info received and forwarded to list. Copy sent to Gerardo Curiel <gcuriel@debianvenezuela.org>. Full text and rfc822 format available.

Message #24 received at 408076@bugs.debian.org (full text, mbox):

From: Gerardo Curiel <gcuriel@gmail.com>
To: Jens Seidel <jensseidel@users.sourceforge.net>, 408076@bugs.debian.org
Cc: Petr Salinger <Petr.Salinger@seznam.cz>
Subject: Re: Bug#408076: swi-prolog: FTBFS on GNU/kFreeBSD, mips, mipsel (due to outdated config.sub/config.guess)
Date: Sat, 10 Mar 2007 15:24:23 -0400
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Sorry for the late answer..

Jens Seidel escribió:
> On Sat, Jan 27, 2007 at 10:53:03AM +0100, Jens Seidel wrote:
>> On Tue, Jan 23, 2007 at 11:47:59AM +0100, Petr Salinger wrote:
>>> Package: swi-prolog
>>>
>>> the current version fails to build on GNU/kFreeBSD, mips, mipsel.
>>>
>>> please use attached tweak for debian/rules
>>> to auto-update them.
>> I can confirm this bug an mips.
> 
> No upload yet?
> OK, I tested it now also on a mipsel box and the patch is indeed
> required and works well!

That's great, i'll be preparing a new upload in the following days.

Thanks for your work.

> 
> Jens
> 
> 


- --
Gerardo Curiel  <gcuriel@debianvenezuela.org>  <gcuriel@gmail.com>
Geek By NaTure,LiNuX By ChOiCe,DebiAn of CoUrsE
gpg fingerprint: 228B 0F96 8653 DF52 9740  B75E FB32 9C30 E179 7BD2
http://www.debian.org
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQFF8wXk+zKcMOF5e9IRAqy9AJ9Wqd3CwlO4vTbwx9f1IfTgYYqi8wCgxD3i
LhWxUIFEQGjqj0I4u1TBQfw=
=eCTY
-----END PGP SIGNATURE-----



Reply sent to Chris Lamb <chris@chris-lamb.co.uk>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #29 received at 408076-close@bugs.debian.org (full text, mbox):

From: Chris Lamb <chris@chris-lamb.co.uk>
To: 408076-close@bugs.debian.org
Subject: Bug#408076: fixed in swi-prolog 5.6.47-1
Date: Fri, 07 Dec 2007 12:47:05 +0000
Source: swi-prolog
Source-Version: 5.6.47-1

We believe that the bug you reported is fixed in the latest version of
swi-prolog, which is due to be installed in the Debian FTP archive:

swi-prolog-clib_5.6.47-1_i386.deb
  to pool/main/s/swi-prolog/swi-prolog-clib_5.6.47-1_i386.deb
swi-prolog-http_5.6.47-1_i386.deb
  to pool/main/s/swi-prolog/swi-prolog-http_5.6.47-1_i386.deb
swi-prolog-semweb_5.6.47-1_i386.deb
  to pool/main/s/swi-prolog/swi-prolog-semweb_5.6.47-1_i386.deb
swi-prolog-sgml_5.6.47-1_i386.deb
  to pool/main/s/swi-prolog/swi-prolog-sgml_5.6.47-1_i386.deb
swi-prolog-table_5.6.47-1_i386.deb
  to pool/main/s/swi-prolog/swi-prolog-table_5.6.47-1_i386.deb
swi-prolog-xpce_5.6.47-1_i386.deb
  to pool/main/s/swi-prolog/swi-prolog-xpce_5.6.47-1_i386.deb
swi-prolog_5.6.47-1.diff.gz
  to pool/main/s/swi-prolog/swi-prolog_5.6.47-1.diff.gz
swi-prolog_5.6.47-1.dsc
  to pool/main/s/swi-prolog/swi-prolog_5.6.47-1.dsc
swi-prolog_5.6.47-1_i386.deb
  to pool/main/s/swi-prolog/swi-prolog_5.6.47-1_i386.deb
swi-prolog_5.6.47.orig.tar.gz
  to pool/main/s/swi-prolog/swi-prolog_5.6.47.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 408076@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Chris Lamb <chris@chris-lamb.co.uk> (supplier of updated swi-prolog package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 02 Dec 2007 23:26:00 +0000
Source: swi-prolog
Binary: swi-prolog-sgml swi-prolog-http swi-prolog-table swi-prolog-clib swi-prolog-xpce swi-prolog-semweb swi-prolog
Architecture: source i386
Version: 5.6.47-1
Distribution: unstable
Urgency: low
Maintainer: Chris Lamb <chris@chris-lamb.co.uk>
Changed-By: Chris Lamb <chris@chris-lamb.co.uk>
Description: 
 swi-prolog - Prolog interpreter
 swi-prolog-clib - Interface to system library for SWI Prolog
 swi-prolog-http - Interface to system library for SWI Prolog
 swi-prolog-semweb - Interface to system library for SWI Prolog
 swi-prolog-sgml - SGML/XML/HTML parser for SWI Prolog
 swi-prolog-table - Managing external tables for SWI Prolog
 swi-prolog-xpce - GUI library for SWI Prolog
Closes: 295209 308325 408076 414181 422576 425580
Changes: 
 swi-prolog (5.6.47-1) unstable; urgency=low
 .
   * New upstream version (Closes: #295209, #308325, #425580)
   * New maintainer (Closes: #422576)
   * Bump Debhelper compatibility to 5
   * debian/rules:
      * Update config.sub and config.guess from autotools-dev
          (Closes: #408076, #414181)
      * Desist from blindly ignoring "clean" target
   * debian/control:
      * Use ${binary:Version} instead of ${Source-Version}
      * Add new Homepage: field
      * Add XS-Vcs-* fields
   * Change ".menu" sections from
        "Apps/Programming" -> "Applications/Programming"
   * Documentation:
      * Remove some SGML documentation now missing from upstream
      * Add Sicstus and SWI-Prolog v4.8 -related XPCE documentation
Files: 
 51a4c1a2ab06848adbd6b40018963079 967 interpreters optional swi-prolog_5.6.47-1.dsc
 4651f59c31225e87aa977274516cf818 11382727 interpreters optional swi-prolog_5.6.47.orig.tar.gz
 b0db9b631d15a498b0e25140027cb22f 95826 interpreters optional swi-prolog_5.6.47-1.diff.gz
 37bd277b8e0988823c3bbb52079690dc 1971488 interpreters optional swi-prolog_5.6.47-1_i386.deb
 dad7426c6b8b22dacab82990fe36e02f 87364 interpreters optional swi-prolog-clib_5.6.47-1_i386.deb
 7114507933dbd0e57012070d0ed65a65 57968 interpreters optional swi-prolog-http_5.6.47-1_i386.deb
 952782a8b6ac9d925fbebf3faba65c86 128044 interpreters optional swi-prolog-semweb_5.6.47-1_i386.deb
 e827291a7326c90e854b6d8192506ca0 142168 interpreters optional swi-prolog-sgml_5.6.47-1_i386.deb
 f62d97e235a8d71feb287b0ed35463c9 29822 interpreters optional swi-prolog-table_5.6.47-1_i386.deb
 855e83caf72c901f69b03bbe05ccf978 2964420 interpreters optional swi-prolog-xpce_5.6.47-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHWTu8+C5cwEsrK54RAuaHAKDkk8twORDDJ9aTb7Gji90gYNdSwACgpZcV
upPzfAaWXppql+FcV9cFYdE=
=Rva9
-----END PGP SIGNATURE-----





Reply sent to Chris Lamb <chris@chris-lamb.co.uk>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>:
Bug acknowledged by developer. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 29 Jan 2008 07:31:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 15:57:19 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.